CREATE TABLE gl_frc_user_access_reports (
    USER_ACCESS_REPORT_ID           NUMBER(18, 0) ,
    REPORT_ID                       NUMBER(18, 0)     NOT NULL,
    USER_NAME                       VARCHAR2(400)     NOT NULL,
    REPORT_TYPE_CODE                VARCHAR2(120)     NOT NULL,
    LAST_ACCESSED_DATE              TIMESTAMP(6)  ,
    LAST_ACCESSED_BIP_ESS_REQ_ID    NUMBER(18, 0) ,
    BIP_REPORT_JOB_DEFINITION       VARCHAR2(4000),
    FAVORITE_FLAG                   VARCHAR2(4)       NOT NULL,
    DELETED_FLAG                    VARCHAR2(4)       NOT NULL,
    LATEST_REQUEST_EXISTS_FLAG      VARCHAR2(4)       NOT NULL,
    FR_REPORT_URL                   VARCHAR2(4000),
    PERMISSION_CODE                 NUMBER(7, 0)  ,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    USER_ACCESS_REPORT_ID           NUMBER(18, 0) ,
    REPORT_ID                       NUMBER(18, 0)     NOT NULL,
    USER_NAME                       VARCHAR2(400)     NOT NULL,
    REPORT_TYPE_CODE                VARCHAR2(120)     NOT NULL,
    LAST_ACCESSED_DATE              TIMESTAMP(6)  ,
    LAST_ACCESSED_BIP_ESS_REQ_ID    NUMBER(18, 0) ,
    BIP_REPORT_JOB_DEFINITION       VARCHAR2(4000),
    FAVORITE_FLAG                   VARCHAR2(4)       NOT NULL,
    DELETED_FLAG                    VARCHAR2(4)       NOT NULL,
    LATEST_REQUEST_EXISTS_FLAG      VARCHAR2(4)       NOT NULL,
    FR_REPORT_URL                   VARCHAR2(4000),
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    PERMISSION_CODE                 NUMBER(7, 0)  ,
    CONSTRAINT pk_gl_frc_user_access_reports PRIMARY KEY (USER_ACCESS_REPORT_ID, USER_ACCESS_REPORT_ID)
);
